Ignore:
Timestamp:
Dec 30, 2013, 9:24:19 PM (6 years ago)
Author:
devans@…
Message:

libgda4: delete unversioned man page link and +gtkui variant which conflict with libgda5 (#41818).

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/databases/libgda4/Portfile

    r113161 r115299  
    77set gname       libgda
    88version         4.2.13
    9 revision        6
     9revision        7
    1010license         {GPL-2 LGPL}
    1111
     
    1515                GNU Data Access (GDA) is an attempt to provide \
    1616                uniform access to different kinds of data sources \
    17                 (databases, information servers, mail spools, etc).
     17                (databases, information servers, mail spools, etc). This is a legacy \
     18                version that provides library support for ports that have not yet \
     19                upgraded to the current stable version.  For new development and/or \
     20                GTK+ GUI tools please install libgda5 instead.
     21
    1822maintainers     devans openmaintainer
    1923categories      databases gnome
     
    5357# use embedded libsqlite3 rather than the system version
    5458# to avoid dlopen 'Can't find file libsqlite3.so' errors
     59#
     60# since this is a legacy version of libgda, disable the
     61# gtk ui which conflicts with current version libgda5
    5562#
    5663
     
    151158
    152159#
    153 # disable +gtkui by default to avoid possible conflicts
    154 # with other libgda versions
    155 #
    156 
    157 variant gtkui \
    158     description {Enable GTK+ extension and tools} {
    159         configure.args-replace  --without-ui --with-ui
    160         configure.args-replace  --disable-gdaui-gi --enable-gdaui-gi
    161         depends_lib-append      port:gtksourceview2 \
    162                                 port:goocanvas
    163 }
    164 
    165 #
    166 # delete generic symbolic links to version specific binaries
    167 # to avoid possible conflicts with other libgda versions
     160# delete non-versioned symbolic links to version specific binaries
     161# and man pages to avoid conflicts with other libgda versions
    168162#
    169163 
     
    172166    delete ${destroot}${prefix}/bin/gda-list-server-op
    173167    delete ${destroot}${prefix}/bin/gda-sql
     168    delete ${destroot}${prefix}/share/man/man1/gda-sql.1
    174169}
    175170 
Note: See TracChangeset for help on using the changeset viewer.